summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-10 12:27:40 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-10 12:27:40 +0000
commitdcee32771ac8ef582815e199422b18a2a29144eb (patch)
treeace75aae80456da35792445489cd0b7872046b7f /dev-python
parent42c3f1eb77ae948d43d40e92fe8e507ed7373597 (diff)
downloadbaldeagleos-repo-dcee32771ac8ef582815e199422b18a2a29144eb.tar.gz
baldeagleos-repo-dcee32771ac8ef582815e199422b18a2a29144eb.tar.xz
baldeagleos-repo-dcee32771ac8ef582815e199422b18a2a29144eb.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/astroid/astroid-2.4.2-r1.ebuild68
-rw-r--r--dev-python/astroid/files/astroid-2.4.2-py39.patch42
-rw-r--r--dev-python/asttokens/Manifest1
-rw-r--r--dev-python/asttokens/asttokens-2.0.4.ebuild49
-rw-r--r--dev-python/asttokens/metadata.xml8
-rw-r--r--dev-python/executing/Manifest1
-rw-r--r--dev-python/executing/executing-0.5.2.ebuild35
-rw-r--r--dev-python/executing/metadata.xml8
-rw-r--r--dev-python/pysendfile/pysendfile-2.0.1-r1.ebuild2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild11
10 files changed, 220 insertions, 5 deletions
diff --git a/dev-python/astroid/astroid-2.4.2-r1.ebuild b/dev-python/astroid/astroid-2.4.2-r1.ebuild
new file mode 100644
index 000000000000..f4c1ad325a39
--- /dev/null
+++ b/dev-python/astroid/astroid-2.4.2-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="https://github.com/PyCQA/astroid https://pypi.org/project/astroid/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Version specified in __pkginfo__.py.
+RDEPEND="
+ dev-python/lazy-object-proxy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.11.2[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/astroid-2.4.2-no-pytest-runner.patch
+ "${FILESDIR}"/astroid-2.4.2-py39.patch
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -r -e 's:"(wrapt|six|lazy_object_proxy)(~|=)=.+":"\1":' \
+ -i astroid/__pkginfo__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local deselect=(
+ # no clue why it's broken
+ --deselect
+ tests/unittest_modutils.py::GetModulePartTest::test_knownValues_get_builtin_module_part
+ )
+ [[ ${EPYTHON} == python3.9 ]] && deselect+=(
+ --deselect
+ tests/unittest_brain.py::TypingBrain::test_namedtuple_few_args
+ --deselect
+ tests/unittest_brain.py::TypingBrain::test_namedtuple_few_fields
+ --deselect
+ tests/unittest_brain.py::TypingBrain::test_namedtuple_inference_nonliteral
+ --deselect
+ tests/unittest_inference.py::test_dataclasses_subscript_inference_recursion_error
+ )
+
+ pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/astroid/files/astroid-2.4.2-py39.patch b/dev-python/astroid/files/astroid-2.4.2-py39.patch
new file mode 100644
index 000000000000..0f838b7214a4
--- /dev/null
+++ b/dev-python/astroid/files/astroid-2.4.2-py39.patch
@@ -0,0 +1,42 @@
+From 3ffe25f8e3cdb30f0dcfb68f4373370828894727 Mon Sep 17 00:00:00 2001
+From: Karthikeyan Singaravelan <tir.karthi@gmail.com>
+Date: Tue, 4 Aug 2020 10:11:44 +0000
+Subject: [PATCH] Skip test for | in dictionaries due to PEP-584 in Python 3.9+
+
+---
+ tests/unittest_inference.py | 8 ++++++--
+ 1 file changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/tests/unittest_inference.py b/tests/unittest_inference.py
+index 76c7e879..b7bc732d 100644
+--- a/tests/unittest_inference.py
++++ b/tests/unittest_inference.py
+@@ -2455,7 +2455,6 @@ def test_binary_op_type_errors(self):
+ 1 ** (lambda x: x) #@
+ {} * {} #@
+ {} - {} #@
+- {} | {} #@
+ {} >> {} #@
+ [] + () #@
+ () + [] #@
+@@ -2500,7 +2499,6 @@ def __radd__(self, other):
+ msg.format(op="**", lhs="int", rhs="function"),
+ msg.format(op="*", lhs="dict", rhs="dict"),
+ msg.format(op="-", lhs="dict", rhs="dict"),
+- msg.format(op="|", lhs="dict", rhs="dict"),
+ msg.format(op=">>", lhs="dict", rhs="dict"),
+ msg.format(op="+", lhs="list", rhs="tuple"),
+ msg.format(op="+", lhs="tuple", rhs="list"),
+@@ -2515,6 +2513,12 @@ def __radd__(self, other):
+ msg.format(op="+=", lhs="int", rhs="A"),
+ msg.format(op="+=", lhs="int", rhs="list"),
+ ]
++
++ # PEP-584 supports | for dictionary union
++ if sys.version_info < (3, 9):
++ ast_nodes.append(extract_node("{} | {} #@"))
++ expected.append(msg.format(op="|", lhs="dict", rhs="dict"))
++
+ for node, expected_value in zip(ast_nodes, expected):
+ errors = node.type_errors()
+ self.assertEqual(len(errors), 1)
diff --git a/dev-python/asttokens/Manifest b/dev-python/asttokens/Manifest
new file mode 100644
index 000000000000..4ba74c49802e
--- /dev/null
+++ b/dev-python/asttokens/Manifest
@@ -0,0 +1 @@
+DIST asttokens-2.0.4.gh.tar.gz 46823 BLAKE2B 111ed58c1b657900f830b7b9f521c1f87fd37945ab6ed6e165108fc2371923030b37cae33885e166a524eb8dd5cfad5fe9391a19b7729b7cd504474d1477748d SHA512 49287259d64c43c7460357d19ed95495ab499b0ad7ae0d5a59378ea0332142b574643349d1d3ca56442712ebec14c53167da475915017feb1b524ac190f9dac3
diff --git a/dev-python/asttokens/asttokens-2.0.4.ebuild b/dev-python/asttokens/asttokens-2.0.4.ebuild
new file mode 100644
index 000000000000..49e4d946ba7c
--- /dev/null
+++ b/dev-python/asttokens/asttokens-2.0.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Annotate Python AST trees with source text and token information"
+HOMEPAGE="
+ https://github.com/gristlabs/asttokens/
+ https://pypi.org/project/asttokens/"
+SRC_URI="
+ https://github.com/gristlabs/asttokens/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/astroid[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local deselect=()
+ [[ ${EPYTHON} == python3.9 ]] && deselect+=(
+ # invalid syntax
+ --deselect
+ tests/test_astroid.py::TestAstroid::test_fixture9
+ --deselect
+ tests/test_astroid.py::TestAstroid::test_splat
+ --deselect
+ tests/test_astroid.py::TestAstroid::test_sys_modules
+ --deselect
+ tests/test_mark_tokens.py::TestMarkTokens::test_fixture9
+ --deselect
+ tests/test_mark_tokens.py::TestMarkTokens::test_splat
+ --deselect
+ tests/test_mark_tokens.py::TestMarkTokens::test_sys_modules
+ )
+ pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/asttokens/metadata.xml b/dev-python/asttokens/metadata.xml
new file mode 100644
index 000000000000..50567d15b867
--- /dev/null
+++ b/dev-python/asttokens/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
new file mode 100644
index 000000000000..6665f9a34532
--- /dev/null
+++ b/dev-python/executing/Manifest
@@ -0,0 +1 @@
+DIST executing-0.5.2.gh.tar.gz 303118 BLAKE2B e3b0ee22791a7fc4b378cf9f0c4640b4971ebd772d95a5d8d0abd25959c53eede5c61e4807abd4be38b9e14d0e3ab9083941ace7f59f0b6358c68b2e85291193 SHA512 2487dbb95240553f9bb7e1249af42e83be7db8cfa8a8c0569c22bfad48add9eddf903a4f365e3a6409e5208bef0d32893abb0c4dc5a93782c3b33125b091ef54
diff --git a/dev-python/executing/executing-0.5.2.ebuild b/dev-python/executing/executing-0.5.2.ebuild
new file mode 100644
index 000000000000..58546205bccd
--- /dev/null
+++ b/dev-python/executing/executing-0.5.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+ https://github.com/alexmojaki/executing/
+ https://pypi.org/project/executing/"
+SRC_URI="
+ https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# asttokens is optional runtime dep
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ # this test explodes when collected by pytest
+ "${EPYTHON}" tests/test_main.py || die "Tests failed with ${EPYTHON}"
+ pytest -vv tests/test_pytest.py || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/executing/metadata.xml b/dev-python/executing/metadata.xml
new file mode 100644
index 000000000000..50567d15b867
--- /dev/null
+++ b/dev-python/executing/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pysendfile/pysendfile-2.0.1-r1.ebuild b/dev-python/pysendfile/pysendfile-2.0.1-r1.ebuild
index d23d1049736d..7ae46b74762f 100644
--- a/dev-python/pysendfile/pysendfile-2.0.1-r1.ebuild
+++ b/dev-python/pysendfile/pysendfile-2.0.1-r1.ebuild
@@ -16,8 +16,6 @@ IUSE=""
LICENSE="MIT"
SLOT="0"
-BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-
python_test() {
"${EPYTHON}" test/test_sendfile.py || die "tests failed with ${EPYTHON}"
}
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
index a77ca1c55313..1bf00b12d275 100644
--- a/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
+++ b/dev-python/sentry-sdk/sentry-sdk-0.16.3-r1.ebuild
@@ -22,7 +22,9 @@ RDEPEND="
"
BDEPEND="
test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
<dev-python/dnspython-2[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
dev-python/flask-login[${PYTHON_USEDEP}]
dev-python/gevent[${PYTHON_USEDEP}]
dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
@@ -40,9 +42,6 @@ distutils_enable_tests pytest
python_test() {
local deselect=(
- # unpackaged 'executing'
- --ignore tests/test_client.py
- --ignore tests/integrations/django/test_basic.py
# unpackaged 'fakeredis'
--ignore tests/integrations/redis/test_redis.py
--ignore tests/integrations/rq/test_rq.py
@@ -55,6 +54,12 @@ python_test() {
# TODO
--deselect
'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ --deselect
+ tests/test_client.py::test_databag_depth_stripping
+ --deselect
+ tests/test_client.py::test_databag_string_stripping
+ --deselect
+ tests/test_client.py::test_databag_breadth_stripping
# test_filename: apparently unhappy about pytest being called pytest
--deselect 'tests/utils/test_general.py::test_filename'
# test_circular_references: apparently fragile